Add items to a list
curl --request POST \
--url https://swish.app/api/2026-07/lists/{listId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439022"
]
}
'import requests
url = "https://swish.app/api/2026-07/lists/{listId}/items"
payload = { "itemIds": ["507f1f77bcf86cd799439011", "507f1f77bcf86cd799439022"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemIds: ['507f1f77bcf86cd799439011', '507f1f77bcf86cd799439022']})
};
fetch('https://swish.app/api/2026-07/lists/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/lists/{listId}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itemIds' => [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439022'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/lists/{listId}/items"
payload := strings.NewReader("{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/lists/{listId}/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/lists/{listId}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"name": "My List",
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"access": "private",
"itemCount": 5,
"previewImages": [
{
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
],
"itemIds": [
"67a61d5561e4f9de302c02a1",
"67a61d5561e4f9de302c02a2"
],
"type": "user"
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}Lists
Add items to a list
Adds existing items to a list by their IDs
POST
/
lists
/
{listId}
/
items
Add items to a list
curl --request POST \
--url https://swish.app/api/2026-07/lists/{listId}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemIds": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439022"
]
}
'import requests
url = "https://swish.app/api/2026-07/lists/{listId}/items"
payload = { "itemIds": ["507f1f77bcf86cd799439011", "507f1f77bcf86cd799439022"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemIds: ['507f1f77bcf86cd799439011', '507f1f77bcf86cd799439022']})
};
fetch('https://swish.app/api/2026-07/lists/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://swish.app/api/2026-07/lists/{listId}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'itemIds' => [
'507f1f77bcf86cd799439011',
'507f1f77bcf86cd799439022'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://swish.app/api/2026-07/lists/{listId}/items"
payload := strings.NewReader("{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://swish.app/api/2026-07/lists/{listId}/items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://swish.app/api/2026-07/lists/{listId}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"itemIds\": [\n \"507f1f77bcf86cd799439011\",\n \"507f1f77bcf86cd799439022\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "67a61d5561e4f9de302c02a1",
"name": "My List",
"createdAt": "2025-01-01T10:00:00.000Z",
"updatedAt": "2025-01-01T10:00:00.000Z",
"access": "private",
"itemCount": 5,
"previewImages": [
{
"id": "gid://shopify/ProductImage/123456789",
"altText": "Product image",
"url": "https://cdn.shopify.com/image1.jpg",
"thumbhash": "1QcSHQRnh493V4dIh4eXh1h4kJUI"
}
],
"itemIds": [
"67a61d5561e4f9de302c02a1",
"67a61d5561e4f9de302c02a2"
],
"type": "user"
}
}{
"error": {
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "Failed to authenticate request",
"error": "Unauthorized",
"statusCode": 401,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "The requested resource was not found",
"error": "Not Found",
"statusCode": 404,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500,
"requestId": "123e4567-e89b-12d3-a456-426614174000"
}
}